/* eslint-disable */
// @ts-ignore
import { request } from '@/utils/request';

/** 新增或修改企业管理 POST /api/FlexEnterprise/CreateOrEditFlexEnterprise */
export async function createOrEditFlexEnterprise(
  body: API.CreateOrEditFlexEnterpriseInput,
  options?: API.RequestConfig
) {
  return request<string>('/api/FlexEnterprise/CreateOrEditFlexEnterprise', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 新增或修改银行设置 POST /api/FlexEnterprise/CreateOrEditFlexEnterpriseBankSetting */
export async function createOrEditFlexEnterpriseBankSetting(
  body: API.CreateOrEditFlexEnterpriseBankInput,
  options?: API.RequestConfig
) {
  return request<string>('/api/FlexEnterprise/CreateOrEditFlexEnterpriseBankSetting', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 新增或修改消息设置 POST /api/FlexEnterprise/CreateOrEditFlexEnterpriseMessageSetting */
export async function createOrEditFlexEnterpriseMessageSetting(
  body: API.CreateOrEditFlexEnterpriseMessageSettingInput,
  options?: API.RequestConfig
) {
  return request<string>('/api/FlexEnterprise/CreateOrEditFlexEnterpriseMessageSetting', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 新增或修改电子签设置 POST /api/FlexEnterprise/CreateOrEditFlexEnterpriseSignSetting */
export async function createOrEditFlexEnterpriseSignSetting(
  body: API.CreateOrEditFlexEnterpriseSignSettingInput,
  options?: API.RequestConfig
) {
  return request<string>('/api/FlexEnterprise/CreateOrEditFlexEnterpriseSignSetting', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 删除企业管理 DELETE /api/FlexEnterprise/DeleteFlexEnterprise */
export async function deleteFlexEnterprise(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.APIdeleteFlexEnterpriseParams,
  options?: API.RequestConfig
) {
  return request<number>('/api/FlexEnterprise/DeleteFlexEnterprise', {
    method: 'DELETE',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

/** 获取企业管理列表 POST /api/FlexEnterprise/GetFlexEnterpriseList */
export async function getFlexEnterpriseList(
  body: API.GetFlexEnterpriseInput,
  options?: API.RequestConfig
) {
  return request<API.FlexEnterpriseDtoPageOutput>('/api/FlexEnterprise/GetFlexEnterpriseList', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 设置企业状态 POST /api/FlexEnterprise/SetFlexEnterpriseStatus */
export async function setFlexEnterpriseStatus(
  body: API.SetFlexEnterpriseStatusInput,
  options?: API.RequestConfig
) {
  return request<number>('/api/FlexEnterprise/SetFlexEnterpriseStatus', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}
